module Encoding.Base16
  ( enc16
  , dec16
  ) where

import Data.ByteString.UTF8 as BSU
import Data.ByteString as B
import qualified Data.ByteString.Char8 as BC
import qualified Codec.Binary.Base16 as B16
import qualified Data.Text as T
import qualified Data.Text.Encoding as T
import qualified Data.Text.IO as T

-- dec16 :: String -> String
-- dec16 input =
--    case B16.decode (BSU.fromString input) of
--      Right decoded -> T.unpack (T.decodeUtf8 decoded)
--      Left _ -> "Error decoding Base16.\n"

dec16 :: B.ByteString -> B.ByteString
dec16 input = case B16.decode input of
                Right byteString -> byteString
                Left _ -> BC.pack "Error: Invalid Hexadecimal input"

-- enc16 :: String -> String
-- enc16 = C.unpack . B16.encode . BSU.fromString

enc16 :: B.ByteString -> B.ByteString
enc16 = B16.encode
