module Encoding.Url
  ( encurl
  , decurl
  ) where

import qualified Network.HTTP.Base as HB
import Data.ByteString as B
import Data.ByteString.UTF8 as BSU

decurl :: B.ByteString -> B.ByteString
decurl = BSU.fromString . HB.urlDecode . BSU.toString

encurl :: B.ByteString -> B.ByteString
encurl = BSU.fromString . HB.urlEncode . BSU.toString

