module Encoding.Xx
  ( encxx
  , decxx
  ) where

import Data.ByteString as B
import qualified Data.ByteString.Char8 as BC
import qualified Codec.Binary.Xx as XX
-- import Data.ByteString.UTF8 as BSU      -- from utf8-string

decxx :: B.ByteString -> B.ByteString
decxx input = case XX.decode input of
                Right byteString -> byteString
                Left _ -> BC.pack "Error: Invalid XX encoding input"

encxx :: B.ByteString -> B.ByteString
encxx = XX.encode
